100 '##  Avventura: L'Astronave Condannata   ##
101 '## di Enrico Colombini e Chiara Tovena  ##
102 '##                                      ##
103 '## (C) Dinosoft e Jackson 1985, 1988    ##
104 '## Copyright (C) 1992 Jackson Libri     ##
105 '## Copyright (C) 1999 Enrico Colombini  ##
106 '##                                      ##
107 '## Liberamente duplicabile per scopi    ##
108 '## non commerciali                      ##
109 '##                                      ##
110 '## Revisionata (Bissina 89) e adattata  ##
115 '## al Modulo Base fornito con il volume ##
116 '## "Avventure per MS-DOS", edit.Jackson ##
117 '## (oggi Jackson Libri - Gruppo Futura) ##
121 '##                                      ##
122 '## Revisionata 6/1991 per Power Basic   ##
123 '## Verificata 3/1999 con Qbasic         ##
125 '
130 ' - Dichiarazioni e costanti -
135 '
140 DIM DZ$(150), DZ%(150)'Dizionario: parole e codici
145 DIM DE$(98), DI$(98)'Mappa: descrizioni e collegamenti
150 DIM CA(160), AZ%(160)'Azioni: codice e numero routine
155 DIM OG$(50), CO%(50), L(50)'Oggetti: descrizione, codice e luogo iniziale
160 F$ = "ASTRO.SIT" 'File per salvare la situazione
165 R.NOOGG$ = "- Qui non ne vedo." 'Non vede l'oggetto citato
170 R.BEH$ = "- Beh ?" 'Frase nulla
175 R.TU$ = "- Dammi del tu, per favore." 'Deve usare la seconda persona
180 R.NOP1$ = "- Non conosco il verbo '" 'Prima parola non riconosciuta
185 R.NOP2$ = "- Non conosco la parola '" 'Seconda parola non riconosciuta
190 R.NOAZ$ = "- Non capisco." 'Azione non prevista
195 '
200 '
205 '- Main (parser) -
210 '
212 CLS : KEY OFF
215 GOSUB 775 'Legge dizionario, mappa, azioni, oggetti da DATA
217 IF NOT OK GOTO 380 'Esce se errore di verifica DATA
220 GOSUB 4500 'Introduzione
225 GOSUB 1500 '<Premi Spazio>
230 FINITO = 0: WHILE NOT FINITO 'Ciclo di gioco, esce solo a fine avventura
235   PRINT : PRINT "Sei "; DE$(LU); "."'Descrizione
240   L = LU: P$ = "Vedo ": GOSUB 660 'Descrive oggetti presenti
245   IF e$ = "" THEN GOSUB 730'Esegue ev. timer se non ci sono stati errori
247   e$ = "": IF FINITO GOTO 375 'Supponiamo tutto ok, esce se finito
250   PRINT : PRINT
255   IP$ = "": WHILE IP$ = ""'Input frase di comando
260     IP$ = "": INPUT "Cosa devo fare "; IP$
265   WEND
270   FOR I = 1 TO LEN(IP$) 'Converte in maiuscole
275     c$ = MID$(IP$, I, 1)
280     IF (c$ >= "a") AND (c$ <= "z") THEN MID$(IP$, I, 1) = CHR$(ASC(c$) - 32)
285   NEXT I
290   PRINT
295   LI = LEN(IP$): IP = 1: GOSUB 455: P1$ = P$: C1 = c 'Codice prima parola
300   IF P1$ = "" THEN e$ = R.BEH$: GOTO 375'Frase nulla
305   IF RIGHT$(P1$, 2) = "RE" THEN e$ = R.TU$: GOTO 375'Solo seconda persona
310   IF (C1 = 0) AND (P1$ <> "") THEN e$ = R.NOP1$ + P1$ + "'.": GOTO 375'test p1
315   OK = 0: WHILE NOT OK 'Codice seconda parola, no direzioni (articoli)
320     GOSUB 455: P2$ = P$: C2 = c'Codice seconda parola
325     OK = (C2 = 0) OR (C2 > 6)
330   WEND
335   IF (C2 = 0) AND (P2$ <> "") THEN e$ = R.NOP2$ + P2$ + "'.": GOTO 375'test p2
340   IF C2 <> 0 THEN GOSUB 695'Ricava indice oggetto in OG
345   N1 = LU * 10000: N2 = C1 * 100'Prepara elementi del codice di azione
350   A = N1 + N2 + C2: GOSUB 605: IF A GOTO 375'Verbo+nome in LU
355   IF C2 <> 0 THEN A = N1 + N2 + 99: GOSUB 605: IF A GOTO 375'Verbo+X in LU
360   A = N2 + C2: GOSUB 605: IF A GOTO 375'Verbo+nome generico
365   IF C2 <> 0 THEN A = N2 + 99: GOSUB 605: IF A GOTO 375'Verbo+X generico
370   e$ = R.NOAZ$ 'Azione non prevista
375   IF e$ <> "" THEN PRINT e$'Stampa eventuale messaggio di errore
377 WEND
380 PRINT
385 END
390 '
395 '- Cerca P$ in dizionario, C=codice (0 se assente) -
400 '
405 I = 1: F = FD: c = 0
410 OK = 0: WHILE (NOT OK) AND (F >= I)
415   A = (I + F) \ 2: A$ = DZ$(A)
420   IF P$ = A$ THEN c = DZ%(A): OK = -1: GOTO 430'Trovata
425   IF P$ > A$ THEN I = A + 1 ELSE F = A - 1
430 WEND
435 RETURN
440 '
445 '- Estrae P$ da IP$[IP], trova codice C, salta articoli -
450 '
455 c = 7: WHILE c = 7'Ripete se  un articolo
460   c = 0 'Supponiamo di non trovarla
465   OK = 0: WHILE NOT OK 'Cerca inizio parola
470     c$ = MID$(IP$, IP, 1)
475     IF (c$ = " ") OR (c$ = "'") THEN IP = IP + 1 ELSE OK = -1'Salta sp, apici
480   WEND
485   IF NOT OK THEN P$ = "": GOTO 525 'Esce se fine frase
490     A = IP 'Ricorda punto iniziale
495     OK = 0: WHILE NOT OK 'Cerca fine parola
500       c$ = MID$(IP$, IP, 1)
505       IF (c$ <> " ") AND (c$ <> "'") AND (IP <= LI) THEN IP = IP + 1 ELSE OK = -1
510     WEND
515     P$ = MID$(IP$, A, IP - A)'Estrae la parola
520     GOSUB 405 'La cerca nel dizionario
525 WEND
530 RETURN
535 '
540 '- Cerca azione A, A=azione (0 se non trovata) -
545 '
550 I = 1: F = FA: N = A
555 OK = 0: WHILE (NOT OK) AND (F >= I)
560   A = INT((I + F) / 2): M = CA(A)
565   IF N = M THEN A = AZ%(A): OK = -1: GOTO 575'Trovata
570   IF N > M THEN I = A + 1 ELSE F = A - 1
575 WEND
580 IF N <> M THEN A = 0'Non trovata
585 RETURN
590 '
595 '- Esegue azione A, A=0 se non trovata -
600 '
605 GOSUB 550: IF A = 0 THEN 640'Cerca tra le azioni, esce se non la trova
610   OK = -1 'Supponiamo che vada bene
615   IF (C2 = 0) OR (A > 0) THEN 630'Segue se due parole e oggetto da testare
620     A = -A 'Corregge codice azione togliendo il flag di test oggetto
625     IF OG = 0 THEN PRINT R.NOOGG$: OK = 0'Test oggetto
630   IF OK THEN GOSUB 2500 'Esegue se non ci sono errori
635   A = 1 'Trovata ed eseguita (o errore)
640 RETURN
645 '
650 '- Elenca oggetti in luogo L, con prefisso P$, A=0 se nessuno -
655 '
660 A = 0: FOR I = 1 TO FO
665   IF ABS(L(I)) = L THEN PRINT P$; OG$(I); ".": A = 1
670 NEXT I
675 RETURN
680 '
685 '- OG=indice oggetto C2, 0 se non presente o trasportato -
690 '
695 OG = 0: FOR I = 1 TO FO
700   IF CO%(I) = C2 THEN IF (ABS(L(I)) = LU) OR (L(I) = 0) THEN OG = I: I = FO
705 NEXT I
710 RETURN
715 '
720 '- Timer, esegue se attivi -
725 '
730 IF T1 THEN T1 = T1 - 1: GOSUB 3000
735 IF T2 THEN T2 = T2 - 1: GOSUB 3200
740 IF T3 THEN T3 = T3 - 1: GOSUB 3400
745 IF T4 THEN T4 = T4 - 1: GOSUB 3600
750 IF T5 THEN T5 = T5 - 1: GOSUB 3800
755 RETURN
760 '
765 '- Legge dizionario, mappa, azioni, oggetti da DATA, torna OK -
770 '
775 PRINT : PRINT "Un attimo di pazienza...";
780 FD = 0: OK = 0: WHILE NOT OK 'Legge dizionario
785   READ A$: IF A$ = "FD" THEN OK = -1: GOTO 795'Parola
790   FD = FD + 1: DZ$(FD) = A$: READ DZ%(FD)'E codice
795 WEND
800 FM = 0: OK = 0: WHILE NOT OK 'Legge mappa
805   READ A$: IF A$ = "FM" THEN OK = -1: GOTO 815'Descrizione
810   FM = FM + 1: DE$(FM) = A$: READ DI$(FM)'E direzioni
815 WEND
820 FA = 0: OK = 0: WHILE NOT OK 'Legge azioni
825   READ A$: IF A$ = "FA" THEN OK = -1: GOTO 835'Codice
830   FA = FA + 1: CA(FA) = VAL(A$): READ AZ%(FA)'E numero routine
835 WEND
840 FO = 0: OK = 0: WHILE NOT OK 'Legge oggetti
845   READ A$: IF A$ = "FO" THEN OK = -1: GOTO 855'Nome
850   FO = FO + 1: OG$(FO) = A$: READ CO%(FO), L(FO)'Codice e luogo iniziale
855 WEND
857 PRINT : PRINT : OK = -1'Supponiamo che i controlli vadano bene
860 FOR I = 2 TO FD '--- Controllo dizionario (eliminabile) ---
865 IF DZ$(I) <= DZ$(I - 1) THEN PRINT "Errore: "; DZ$(I); " <= "; DZ$(I - 1): OK = 0
870 NEXT
875 FOR I = 2 TO FA'--- Controllo azioni (eliminabile) ---
880 IF CA(I) <= CA(I - 1) THEN PRINT "Errore: "; CA(I); " <= "; CA(I - 1): OK = 0
885 NEXT
890 PRINT : PRINT
895 RETURN
1470 '
1480 '- <Premi Spazio> -
1490 '
1500 PRINT : PRINT "- Premi <spazio> per continuare -";
1510 A$ = "": WHILE A$ <> " ": A$ = INPUT$(1): WEND
1520 PRINT : PRINT
1530 RETURN
1570 '
1580 '- Domanda A$, A=-1 se s -
1590 '
1600 OK = 0: WHILE NOT OK
1610   PRINT A$; : INPUT " "; B$: B$ = LEFT$(B$, 1)
1620   IF (B$ >= "a") AND (B$ <= "z") THEN B$ = CHR$(ASC(B$) - 32)'Va in maiuscolo
1630   OK = (B$ = "S") OR (B$ = "N")
1640 WEND
1650 A = (B$ = "S")
1660 RETURN
1670 '
1680 '- Pausa di A secondi circa -
1690 '
1700 FOR I = 1 TO 20 * A: PLAY "p64.": NEXT I
1710 RETURN
1720 '
1730 '* (Mettere qui altre subroutine di uso generale) *
2470 REM
2480 REM - ESEGUE AZIONE A -
2490 REM
2500 ON INT((A - 1) / 20) GOTO 2510, 2530
2510 ON A GOTO 5000, 5200, 5400, 5600, 5800, 6000, 6200, 6400, 6600, 6800
2520 ON A - 10 GOTO 7000, 7200, 7400, 7600, 7800, 8000, 8200, 8400, 8600, 8800
2530 ON A - 20 GOTO 9000, 9200, 9400, 9600, 9800, 10000, 10200, 10400, 10600, 10800
2540 ON A - 30 GOTO 11000, 11200, 11400, 11600, 11800, 12000, 12200, 12400, 12600, 12800
2670 PRINT A; " ???": RETURN: REM PER SICUREZZA
2920 REM
2930 REM
2940 REM ### FINE INTERPRETE, INIZIO AVVENTURA ###
2950 REM
2960 REM
2970 REM - TIMER -
2980 REM
2990 REM T1:
3000 IF T1 <= 10 THEN PRINT "+ Sento un segnale di allarme."
3010 IF T1 <= 5 THEN PRINT "+ La temperatura e' insopportabile."
3020 IF T1 <= 2 THEN PRINT "+ La nave e' scossa da vibrazioni."
3030 IF T1 > 0 THEN RETURN
3040 PRINT : PRINT "*** Troppo tardi! ***": PRINT
3050 PRINT "Il reattore e' fuori controllo. "
3060 PRINT : PRINT "L'astronave e' disintegrata ";
3070 PRINT "in minuscoli frammenti."
3080 PRINT "E' incredibile il silenzio ";
3090 PRINT "delle esplosioni nel vuoto.": GOTO 4000
3190 REM T2:
3200 PRINT : PRINT "T2": RETURN
3390 REM T3:
3400 PRINT : PRINT "T3": RETURN
3590 REM T4:
3600 PRINT : PRINT "T4": RETURN
3790 REM T5:
3800 PRINT : PRINT "T5": RETURN
3970 REM
3980 REM - MORTO -
3990 REM
4000 GOSUB 1500: REM <SP>
4010 PRINT : LOCATE , 16: PRINT "### IL GAZZETTINO DELLA GALASSIA ###"
4020 PRINT : LOCATE , 20: PRINT "- Tragedia al largo di Vega -": PRINT
4030 PRINT "L'astronave 'Neutronia', in servizio ";
4040 PRINT "passeggeri con 250 persone a bordo,"
4050 PRINT "e' stata distrutta da una violenta ";
4060 PRINT "esplosione, causata probabilmente"
4070 PRINT "da imperizia del comandante (un ";
4080 PRINT "novellino, stando a indiscrezioni"
4090 PRINT "raccolte dal nostro corrispondente). ";
4100 PRINT "Il responsabile del peggior disastro"
4110 PRINT "della storia galattica sara' di certo ";
4120 PRINT "degradato alla memoria.": PRINT
4450 A$ = "Vuoi giocare ancora": GOSUB 1600: IF (A) THEN RUN: REM RIPARTE
4460 PRINT : PRINT : PRINT "Ciao!": PRINT : END
4470 REM
4480 REM - INTRODUZIONE -
4490 REM
4500 CLS : PRINT : PRINT : PRINT
4510 LOCATE , 16: PRINT "+       L'astronave condannata        +"
4520 LOCATE , 16: PRINT "+ di Enrico Colombini e Chiara Tovena +"
4522 LOCATE , 16: PRINT
4530 LOCATE , 16: PRINT "+  (C) Dinosoft e Jackson 1985, 1988  +"
4531 LOCATE , 16: PRINT "+  (C) Jackson Libri - Gr.Futura 1992 +"
4532 LOCATE , 16: PRINT "+  (C) Enrico Colombini 1999          +"
4534 LOCATE , 16: PRINT "+  Liberamente duplicabile per scopi  +"
4536 LOCATE , 16: PRINT "+  non commerciali                    +"
4538 PRINT : PRINT
4540 PRINT "Sdraiato nella sabbia, ti godi il ";
4550 PRINT "dolce calore del sole tropicale..."
4560 PRINT : PRINT "Ora il sole picchia piu' forte, ";
4570 PRINT "sei in pieno deserto e non c'e'"
4580 PRINT "traccia di oasi..."
4590 PRINT : PRINT "Ti svegli di soprassalto nella tua ";
4600 PRINT "cabina di comandante del 'Neutronia'."
4610 PRINT "Fa molto caldo. Troppo caldo. Ci ";
4620 PRINT "dev'essere qualcosa che non funziona."
4630 T1 = 100: LU = 6: PRINT : RETURN
4960 REM
4970 REM - AZIONI: -
4980 REM
4990 REM 1: (DIREZIONI)
5000 A = VAL(MID$(DI$(LU), 2 * C1 - 1, 2))
5010 IF A = 0 THEN PRINT "- Di li' non puoi andare.": RETURN
5020 LU = A: RETURN
5190 REM 2:PRENDI
5200 IF L(OG) = 0 THEN PRINT "- Gia' fatto.": RETURN
5210 IF L(OG) < 0 THEN PRINT "- Non e' possibile.": RETURN
5220 IF OG = 4 AND L(22) = 0 THEN PRINT "Togli prima il camice.": RETURN
5230 IF OG = 22 AND L(4) = 0 THEN PRINT "Togli prima la tuta.": RETURN
5240 L(OG) = 0
5250 IF OG = 4 OR OG = 9 OR OG = 11 THEN PRINT "Ora l'hai addosso.": RETURN
5260 PRINT "Fatto.": RETURN
5390 REM 3: LASCIA
5400 IF OG = 0 OR L(OG) <> 0 THEN PRINT "- Non ce l'hai.": RETURN
5410 IF LU < 9 THEN L(OG) = LU: PRINT "Fatto.": RETURN
5420 L(OG) = -99: PRINT "Si perde nello spazio.": RETURN
5590 REM 4: (GUARDA)
5600 PRINT "Non noto nulla di particolare.": RETURN
5790 REM 5: (SAVE)
5800 OPEN F$ FOR OUTPUT AS #1
5810 FOR I = 1 TO FO: PRINT #1, L(I): NEXT
5820 WRITE #1, LU, T1, T2, T3, T4, T5, V1, V2, V3, V4, V5, V6, V7, V8, V9, V0
5830 CLOSE #1: RETURN
5990 REM 6: (LOAD)
6000 OPEN F$ FOR INPUT AS #1
6010 FOR I = 1 TO FO: INPUT #1, L(I): NEXT
6020 INPUT #1, LU, T1, T2, T3, T4, T5, V1, V2, V3, V4, V5, V6, V7, V8, V9, V0
6030 CLOSE #1: RETURN
6190 REM 7: (COSA)
6200 PRINT "Possiedi:": PRINT : L = 0: P$ = "- ": GOSUB 660
6210 IF A = 0 THEN PRINT "- Un bel nulla."
6220 RETURN
6390 REM 8:
6400 A$ = "Vuoi smettere di giocare": GOSUB 1600
6410 IF A THEN FINITO = -1
6420 RETURN
6590 REM 9:
6600 PRINT 9: RETURN
6790 REM 10:
6800 IF L(OG) <> 0 THEN PRINT "Non ce l'hai.": RETURN
6810 IF NOT (LU >= 9 OR (LU = 7 AND V2 = 1)) GOTO 5400: REM LASCIA
6820 PRINT "L'aria! L'aria! Aaaagh!!!": GOTO 4000
6990 REM 11:
7000 PRINT "E' la tua tuta per attivita' ";
7010 PRINT "extraveicolare.": RETURN
7190 REM 12:
7200 PRINT "E' privo di conoscenza ed ha ";
7210 PRINT "un'ammaccatura nel casco."
7220 PRINT "Probabilmente e' stato colpito ";
7230 PRINT "da un piccolo meteorite mentre"
7240 PRINT "riparava l'antenna. Per ";
7250 PRINT "fortuna, e' ancora vivo.": RETURN
7390 REM 13:
7400 PRINT "Non e' meglio leggerlo ?": RETURN
7590 REM 14:
7600 PRINT "E' piuttosto pesante."
7610 PRINT "Probabilmente, e' ";
7620 PRINT "trattato al piombo.": RETURN
7790 REM 15:
7800 IF L(OG) = LU THEN PRINT "Prendilo in mano, prima.": RETURN
7810 LOCATE , 12: PRINT "- MANUALE DI ISTRUZIONI DEL -"
7820 LOCATE , 12: PRINT "-   REATTORE POSITRONICO    -"
7830 LOCATE , 12: PRINT "-     Mod. YTREWQ 8421      -": PRINT
7840 PRINT "- Per attivare il reattore, ";
7850 PRINT "tirare la leva e poi premere"
7860 PRINT "in sequenza i pulsanti verde, ";
7870 PRINT "giallo e rosso."
7880 PRINT "- Per disattivare il reattore..."
7890 PRINT : PRINT "Dannazione! La pagina e' strappata.": RETURN
7990 REM 16:
8000 LOCATE , 12: PRINT "- TEMPERATURA REATTORE -": PRINT
8010 PRINT "Segna "; 840 - T1 * 4; " gradi e sta ";
8020 PRINT "salendo velocemente."
8030 PRINT "C'e' un segno rosso a 800 gradi.": RETURN
8190 REM 17:
8200 LOCATE , 12: PRINT "- S.O.S. GALATTICO -": PRINT
8210 PRINT "Premere il pulsante solo ";
8220 PRINT "in caso di emergenza."
8230 PRINT "Ogni abuso verra' punito.": RETURN
8390 REM 18:
8400 PRINT "Una scritta lampeggia brevemente:": PRINT
8410 PRINT "- ANTENNA ESTERNA DIFETTOSA -": RETURN
8590 REM 19:
8600 PRINT "E' alla base di una scaletta ";
8610 PRINT "e dice:": PRINT
8620 PRINT "INGRESSO RISERVATO AL ";
8630 PRINT "PERSONALE DI BORDO.": RETURN
8790 REM 20:
8800 LU = 1: IF L(20) <> 9 THEN RETURN
8810 PRINT "Se solo ci fosse qui il secondo ";
8820 PRINT "pilota, il solo che se ne intende"
8830 PRINT "di problemi tecnici!": RETURN
8990 REM 21:
9000 PRINT "Meglio non svegliare i ";
9010 PRINT "passeggeri, potrebbero"
9020 PRINT "farsi prendere dal panico.": RETURN
9190 REM 22:
9200 PRINT "E' posto ad ovest e dice:": PRINT
9210 PRINT "- ATTENZIONE: -": PRINT
9220 PRINT "STANZA DEPRESSURIZZATA": RETURN
9390 REM 23:
9400 IF L(24) <> -99 THEN PRINT "Gia' fatto.": RETURN
9410 IF L(23) <> 0 THEN PRINT "E' chiuso a chiave.": RETURN
9420 PRINT "Fatto.": L(24) = LU: L(22) = LU: RETURN
9590 REM 24:
9600 PRINT "E' vuoto.": RETURN
9790 REM 25:
9800 PRINT "Dimmi: 'Premi il rosso' ";
9810 PRINT "o 'Premi il verde'.": RETURN
9990 REM 26:
10000 IF V2 = 1 THEN PRINT "Click.": RETURN
10010 PRINT "La parete ad est si chiude. ";
10020 PRINT "La parete ad ovest si apre"
10030 PRINT "verso lo spazio esterno. ";
10040 PRINT "L'aria esce sibilando."
10050 IF L(4) <> 0 OR L(11) <> 0 THEN PRINT : PRINT "Aaaagh!": GOTO 4000
10060 FOR I = 1 TO FO
10070 IF L(I) = LU THEN PRINT OG$(I); " si perde nello spazio.": L(I) = -99
10080 NEXT: V2 = 1: RETURN
10190 REM 27:
10200 IF V2 = 0 THEN PRINT "Click.": RETURN
10210 PRINT "La parete ad ovest si chiude. ";
10220 PRINT "La parete ad est si apre"
10230 PRINT "verso il corridoio. ";
10240 PRINT "L'aria rientra sibilando.": V2 = 0
10250 IF (L(20) <> 0 AND L(20) <> 7) OR L(23) <> -99 THEN RETURN
10260 PRINT : PRINT "Il secondo pilota rinviene, si rende ";
10270 PRINT "subito conto della situazione e dice:": PRINT
10280 PRINT "- Presto, ferma il reattore! ";
10290 PRINT "Ecco la chiave del mio..."
10300 PRINT "Poi perde nuovamente i sensi.": L(23) = LU: RETURN
10390 REM 28:
10400 PRINT "- L'EMERGENZA E' IN AGGUATO! -"
10410 PRINT "-    Porta sempre con te     -"
10420 PRINT "-  il manuale del reattore.  -": RETURN
10590 REM 29:
10600 PRINT "Il tecnico e' il secondo pilota.": RETURN
10790 REM 30:
10800 PRINT "Dimmi: 'Premi il rosso', 'Premi ";
10810 PRINT "il verde' o 'Premi il giallo'.": RETURN
10990 REM 31:
11000 PRINT "Click.": IF V1 <> 0 GOTO 11920
11010 PRINT "Una tubatura perde leggermente ";
11020 PRINT "da un raccordo (probabilmente per"
11030 PRINT "sovrappressione). Le gocce cadono sul ";
11040 PRINT "quadro di controllo, vicino a te."
11050 V1 = 1: RETURN
11190 REM 32:
11200 PRINT "Click.": IF V1 <> 1 GOTO 11920
11210 V1 = 2: IF L(22) <> 0 THEN PRINT "Non ti senti troppo bene."
11220 RETURN
11390 REM 33:
11400 PRINT "Click.": IF V1 <> 2 GOTO 11920
11410 V1 = 3: IF L(22) = 0 THEN RETURN
11420 PRINT "Temo che tu abbia assorbito troppe ";
11430 PRINT "radiazioni. Ora stai decisamente"
11440 PRINT "male. Perdi conoscenza...": GOTO 4000
11590 REM 34:
11600 PRINT "Clank.": IF V1 <> 3 GOTO 11920
11610 GOSUB 1500: REM <SP>
11620 PRINT : LOCATE , 16: PRINT "### IL GAZZETTINO DELLA GALASSIA ###"
11630 PRINT : LOCATE , 20: PRINT "- Comandante salva astronave -": PRINT
11640 PRINT "L'astronave 'Neutronia', in servizio ";
11650 PRINT "passeggeri con 250 persone a bordo,"
11660 PRINT "e' stata salvata da sicura distruzione ";
11670 PRINT "grazie al coraggio e al sangue freddo"
11680 PRINT "del comandante, che e' riuscito a ";
11690 PRINT "disattivare il reattore impazzito."
11700 PRINT "Il suo nome verra' ricordato per ";
11710 PRINT "sempre tra gli eroi della nostra"
11720 PRINT "flotta galattica."
11730 PRINT : PRINT "- Congratulazioni! -": PRINT : END
11790 REM 35:
11800 PRINT "Clunk.": GOTO 11920
11910 REM COMUNE:
11920 V1 = 0: T1 = 1 + INT(T1 / 2): RETURN
11990 REM 36:
12000 PRINT "Sembra danneggiata, forse ";
12010 PRINT "da un grosso meteorite.": RETURN
12190 REM 37:
12200 IF V2 = 0 THEN LU = 4: RETURN
12210 GOTO 5000: REM DIREZIONI
12390 REM 38:
12400 IF V2 = 1 THEN LU = 11: RETURN
12410 GOTO 5000: REM DIREZIONI
12590 REM 39:
12600 PRINT "Si puo' spingere o tirare.": RETURN
12790 REM 40:
12800 PRINT 40: RETURN
39960 REM
39970 REM
39980 REM - DIZIONARIO:
39990 REM
40000 DATA "?",13,"A",5,"AGGIUSTA",27,"AGLI",7,"AL",7
40010 DATA "ALL",7,"ALLA",7,"ALLE",7,"ALLO",7,"ALTO",5
40020 DATA "ANTENNA",69,"APRI",22,"ARMADIETTO",67
40030 DATA "B",6,"BASSO",6,"BASTA",14,"BOTTONE",61,"CAMICE",52
40040 DATA "CARTELLO",60,"CASCO",50,"CHIAVE",54
40050 DATA "COL",7,"CON",7,"COSA",13,"E",3,"EST",3
40060 DATA "ETICHETTA",70,"FINE",14,"GIALLO",63,"GLI",7,"GUARDA",10,"I",7
40070 DATA "IL",7,"INDICATORE",66,"INDOSSA",20,"INVENTARIO",13,"L",7,"LA",7
40080 DATA "LASCIA",9,"LE",7,"LEGGI",25,"LETTO",68,"LEVA",65
40090 DATA "LO",7,"LOAD",12
40100 DATA "MANUALE",55,"METTI",20,"N",1,"NORD",1,"O",4,"OVEST",4
40110 DATA "POSA",9,"PREMI",26,"PRENDI",8,"PULSANTE",61
40120 DATA "RIPARA",27,"RIPRENDI",12,"ROSSO",64
40130 DATA "S",2,"SALI",5,"SALVA",11,"SAVE",11,"SCALETTA",71
40135 DATA "SCENDI",6,"SCHIACCIA",26
40140 DATA "SECONDO",53,"SPINGI",24,"SUD",2,"TIRA",23,"TOGLI",21
40150 DATA "TUTA",51,"UN",7,"UNA",7,"UNO",7,"VERDE",62,"W",4,"FD"
44970 REM
44980 REM - MAPPA:
44990 REM
45000 DATA "nella cabina di pilotaggio","000000000002"
45010 DATA "ad un'estremita' del corridoio","000300050100"
45020 DATA "nel corridoio","020400060000"
45030 DATA "ad un'estremita' del corridoio","030000070008"
45040 DATA "nella cabina del secondo pilota","000002000000"
45050 DATA "nella tua cabina","000003000000"
45060 DATA "nel compartimento stagno","000000000000"
45070 DATA "nella sala controllo del reattore","000000000400"
45080 DATA "all'esterno, a prua dell'astronave","001000000000"
45090 DATA "all'esterno dell'astronave","091100000000"
45100 DATA "all'esterno, a poppa dell'astronave","100007000000","FM"
49970 REM
49980 REM - AZIONI:
49990 REM
50000 DATA 100,1,200,1,300,1,400,1,500,1,600,1,899,-2
50010 DATA 950,-10,951,-10,999,3,1000,4,1051,-11,1052,-14,1053,-12
50020 DATA 1055,-13,1060,-13,1099,-4,1100,5,1153,-2,1200,6,1300,7,1400,8
50030 DATA 2050,-2,2051,-2,2052,-2,2150,-10,2151,-10,2152,-3,2255,-15
50040 DATA 2555,-15,2769,-29,6550,-10,6551,-10,6552,-3
50050 DATA 11066,16,11070,17,12566,16,12570,17,12661,18
50060 DATA 20300,21,20500,20,22560,19
50070 DATA 30300,21,40300,21,42560,22,52267,23,62267,24
50080 DATA 70300,37,70400,38,72661,25,72662,27,72664,26
50090 DATA 81065,39,81066,16,82365,35,82465,34,82560,28,82566,16
50100 DATA 82661,30,82662,33,82663,32,82664,31,91069,36,"FA"
54970 REM
54980 REM - OGGETTI:
54990 REM
55000 DATA "un indicatore",66,-1,"un pulsante",61,-1
55010 DATA "un'etichetta",70,-1,"una tuta",51,1
55020 DATA "un cartello bianco",60,-2,"un cartello giallo",60,-4
55030 DATA "un letto",68,-5,"un armadietto",67,-5
55040 DATA "un letto",68,-6,"un armadietto",67,-6
55050 DATA "un casco",50,6,"un pulsante rosso",61,-7
55060 DATA "un pulsante verde",61,-7,"un indicatore",66,-8
55070 DATA "una leva",65,-8,"un pulsante rosso",61,-8
55080 DATA "un pulsante verde",61,-8,"un cartello rosso",60,-8
55090 DATA "un pulsante giallo",61,-8,"il secondo pilota",53,9
55100 DATA "un'antenna parabolica",69,-9,"un camice",52,-99
55110 DATA "una chiave",54,-99,"un manuale",55,-99
55120 DATA "una scaletta che scende",71,-4,"FO"

